Multivariate Pattern Analysis in Python

# mvpa2.testing.tools.skip_if_no_external

`mvpa2.testing.tools.``skip_if_no_external`(dep, ver_dep=None, min_version=None, max_version=None)

  Raise SkipTest if external is missing

  Parameters:

  dep : string

  > Name of the external

  ver_dep : string, optional

  > If for version checking use some different key, e.g. shogun:rev. If not specified, `dep` will be used.

  min_version : None or string or tuple

  > Minimal required version

  max_version : None or string or tuple

  > Maximal required version